Introducting GTL Text Editor

Introducing GTL Text Editor - A utility for Cyberboard

GTL Text Editor is a Microsoft Visual Basic program designed to add text labels to Cyberboard tile image groups. GTL Text Editor allows you to place text which has been formatted using system fonts and colors, and easily position the text anywhere on the counter. The completed tile library files can then be loaded into Cyberboard Designer.

GTL Text Editor was inspired by Bill Gustafsons "Bill's Cyberboard Utilities."


Quick Start

  1. Open a saved GTL file. The tile(s) will be displayed on the right-hand side in the GTL File Viewing Area . The first tile image is displayed in the Working Tile Area and automatically set as the Base Tile .
  2. Add and position text using the text window and select the "Place" Button.
  3. Use the Scrollbars to position/rotate the text on the working tile.
  4. Continue to enter text, press "Place", and position the text.
  5. When the tile is complete press the "Create Tile" button to add the new tile to the GTL File Viewing Area.
  6. Save\Save As... the GTL File when you are done.
  7. Use Cyberboard Designer to import the saved file into the a Tile Image Group.


Features in this release

Features in this release (2.1)

  • (New) Supports rectangular tiles and tile sizes up to 256x256
  • View, add, and delete tiles from any Cyberboard GTL file
  • Add formatted text to Cyberboard tiles
    • System and Truetype fonts
    • Font sizes from 6 to 18 points
    • 16 colored fonts
    • Bold, Italic, and Underlined fonts
    • Fully rotating text placement
  • Rotate square tiles, flip square and rectangular tiles
  • Save Text Position Data for future use
  • Tile creation automation
    • Create tiles directly from the Working Tile Area
    • Create half sized tile from the Working Tile Area
    • Aid rapid tile creation using Text Position Data
  • Create individual bitmap files from GTL file tiles
  • (New) Save/Delete single or multiple tiles using conventional Ctrl and Shift keys

(Warning) GTL Text Editor only supports gtl files with approximately 40 tiles, but currently does not restrict the user from trying more.


Using GTL Text Editor

Components:

  • Menu and Toolbar
  • GTL File Viewing Area
  • Working Tile Area
  • Preview Tile Area


GTL Text Editor Menu and Toolbar

GTL Text Editor Menus

  • File Menu
  • Edit Menu
  • Tile Menu
  • Help Menu
  • Toolbar
  • Status Bar


File Menu

Open

  • Open GTL files

Save

  • Save the current GTL file

Save As...

  • Save the current GTL file with a different name

Confirm when replacing file (Default: Selected)

  • When selected, requires confirmation of file replacement

Text Position Data

    • Save - Save the text position data for the nine position buttons.
    • Load - Retrieve any saved text position data and display it in the nine position buttons.
    • Clear -Removes all the text position data and reset the text entry box to Arial, 8 point.

Create bitmaps from GTL file

  • Saves each full size tile image as an individual bitmap file. Each file is saved as <FILENAME>1.bmp, <FILENAME>2.bmp, <FILENAME>3.bmp, etc...

See Creating Bitmap files from a GTL File

Exit

  • Exit GTL Text Editor


Edit Menu

Copy

  • Copy current Working Tile image to the clipboard

Paste

  • Paste an image from the clipboard to the Working Tile

Paste Base Image

  • Paste the current Base Tile image (Black Highlighted) to the Working Tile image - See Setting the Base Tile


Tile Menu

Create Tile

  • Create a tile using the selectable options in this menu

Rotate Tile Left

  • Rotate working tile image 90 degrees left

Rotate Tile Right

  • Rotate working tile image 90 degrees right

Flip Tile Horizontally

  • Flip the working tile image horizontally

Flip Tile Vertically

  • Flip the working tile image vertically

Automatically Paste Base Tile When Tile Is Created (Default: Selected)

  • Automatically paste the Base Tile image to the Working Tile image after a tile is created.

Automatically Create Tile From Working Tile (Default: Selected)

  • Any tiles created are done so using only the Working Tile image.
  • Hides the Preview Tile Area (Prevents editing of half size tile images and small tile colors)

Automatically Create Halfsize Tile (Default: Selected)

  • When a tile is created the working tile image is used to create the half size tile. The half size tile image and small tile color is not changed from the original tile.

Create Tile Using Position Data (Default: NOT Selected)

  • Automatically uses the Text Position Data to create new tiles. Any Text Position Data is automatically positioned on the current Working Tile image and that tile is created.
  • Aids in rapid tile creation

See Using Automation Features


Help Menu

Contents

  • Displays this HTML help file

About

  • Displays current version information


Toolbar

  • Open GTL file
  • Save GTL file
  • Copy
  • Paste
  • Change Font
  • Decrease Font Size
  • Increase Font Size
  • Bold
  • Italic
  • Rotate Left
  • Rotate Right
  • Flip Horizontal
  • Flip Vertical
  • Delete Tile


Status Bar

  • Number of tiles in current GTL file
  • Current font name
  • Current font size
  • Current Bold/Italic status
  • Status of Save/Load operation using progress bar


The GTL File Viewer

The GTL File Viewing Area

LOCATION:

The right side of GTL Text Editor.

PURPOSE:

Displays the current graphic tile library file.

USE:

1. Display the tiles in the current GTL file

2. Select the Base tile

3. Delete unwanted tiles

4. Save selected tiles


The Base Tile

LOCATION:

The Black Highlighted tile located within the GTL File Viewing Area .

PURPOSE:

Allow a specific tile image to be pasted to the Working Tile Area after a tile has been created.

  • "Automatically paste base tile when tile is created" option MUST be selected in the Tile Menu
  • Aids in multiple tile creation.

USE:

  1. Select a tile in the GTL File Preview Area. The selected tile will now be highlighted in BLUE.
  2. Right click on the tile and select the "Set as Base tile" option.
  3. The selected tile will become highlighted in BLACK signifying it is now the Base Tile.
  4. After a new tile is created the Base Tile image will be copied to the Working Tile image.


Deleting Tiles

Tiles may be deleted from the GTL File Viewing Area in one of two ways:

Option 1:

    1. Select a tile/tiles in the GTL File Preview Area. The selected tile/tiles will now be highlighted in BLUE
    2. Right click on the tile/tiles and select the "Delete tile" option.

Option 2:

    1. Select a tile/tiles in the GTL File Preview Area. The selected tile/tiles will now be highlighted in BLUE
    2. Click on the delete tile button on the tool bar.


Saving Selected Tiles

Tiles may be saved from the GTL File Viewing Area :

  1. Select the tile/tiles to be saved.
  2. Right click on the tiles and select "Save the selected tile/tiles as..."


The Working Tile

The Working Tile Area

LOCATION:

The upper center of GTL Text Editor.

PURPOSE:

Displays the currently selected tile or the Base Tile after tile creation.

USE:

  1. Add formatted text to the Working Tile image
  2. Position the text horizontally and vertically anywhere on the current Working Tile image
  3. Rotate the text through 360 degrees


Adding and Positioning Text

  1. If your desired tile image is not displayed in the Working Tile Area, select a tile by clicking on it in the GTL File Viewing Area, or set a new Base Tile.
  2. Type the desired text into the text box.
  3. Click the "Place" button to place the text onto the tile.
  4. Use the horizontal and vertical scrollbars to position the text.
  5. Use the rotation scrollbar to rotate the text.

Rotating text using the horizontal scrollbar and rotation display

  1. Use the scrollbar to select text rotation angles (Small Change = 1 degree / Large Change = 10 degrees)
  2. Click on the Rotation Display to type in specific rotation angles.

IMPORTANT NOTE:

The current text font setting (Font Name, Font Size, Font Color, etc...) can be changed after the "Place" button has been used. Just make any required changes and make a position change using the horizontal or vertical scrollbars. Any new font settings will then be displayed on the working tile AFTER the position has been updated.

After the current text has been positioned you may save that text and position data to one of the nine stored position data buttons - See Text Position Data Buttons.


Working with Fonts

Font options may be selected using the toolbar:

Select Font

    • Displays the Select Font Dialog box, allowing easy font selection.

Decrease Font Size

    • Decreases the font size by one point.

Increase Font Size

    • Increases the font size by one point

Bold

    • Selects or de-selects Bold

Italic

    • Selects or de-selects Italic


Storing Text Positions

Text Position Data Buttons

LOCATION:

The lower left of GTL Text Editor.

PURPOSE:

Allow the storing of individual text, font and location data for repeated use.

USE:

  1. Add text to the Working Tile image - See Adding and Position Text.
  2. When the text is positioned in the desired position, click the "Store" button.
  3. Select a Text Position location by clicking it's corresponding Text Position Data Button.
  4. The current text, font settings, and rotational settings will be stored in that location.

Text Position Data can be saved for future use - See File Menu.

Rapid creation of tiles can be aided by using the Text Position Data Buttons and having the "Create tile using position data" option selected in the Tile Menu. See Using Automation Features


Automatically creating halfsize tiles

Using GTL Text Editor Automation Features

The automation features of GTL Text Editor are controlled using the Tile Menu.

Using "Automatically Paste Base Tile When Tile Is Created"

Purpose: Designate a "Base" tile which is copied to the Working Tile Area as the default tile image when tiles are created. This prevents you from having to select a tile image every time you create new tiles.

Use: See Setting the Base Tile

Using "Automatically Create Tile From Working Tile"

Purpose: Decrease the number of button pushes required to create tiles. All tiles created are done so using only the Working Tile image.

Limitations: The half size tile image and small tile color CANNOT be edited with this option selected. You must de-select this option to add text to the half size tile image or change the color of the small tile.

Use: Select this option from the Tile Menu.

Using "Automatically Create Halfsize Tile"

Purpose: Create half size tile image using the full size tile image.

Limitations: Text may be illegible on half size tiles.

Use: Select this option from the Tile Menu.

Using "Create Tile Using Position Data"

Purpose: Aid in the rapid creation of tiles where only one or a few text items change.

Use:

    1. Select the "Base" image and designate it as the Base Tile.
    2. Place all required text on the tile and "Store" each in the Text Position Data Buttons.
    3. Select the "Create tile using position data" option in the Tile Menu.
    4. Make the text changes in the Text Position Data Area and press the "Create Tile" button to rapidly create individual tiles.


The Preview Tile Area

LOCATION:

The lower center of GTL Text Editor (Default: Hidden)

PURPOSE:

Allows individual editing of the full, half, and small sized tiles.

USE:

  1. Add text to the half size tile images
  2. Change the color of the small tile
  3. To display the Preview Tile Area, de-select the "Automatically create tile from Working Tile" option in the Tile Menu .


Using the Preview Tile Area

The use of the Preview Tile Area is only necessary if you need to add text to the half size tile image or change the color of the small tile.

Adding text to the halfsize tile image:

    1. De-select the "Automatically create tile from working tile" option in the Tile Menu. This will display the Preview Tile Area.
    2. Click on the half size tile. The half size tile image will be transferred to the Working Tile Area.
    3. Place and position any desired text - See Adding and Positioning Text.
    4. Click on the Working Tile image to transfer it back to the half size tile image in the Preview Area.

Changing the color of the small tile:

    1. De-select the "Automatically create tile from working tile" option in the Tile Menu. This will display the Preview Tile Area.
    2. Click on the small tile.
    3. A color dialog box will be displayed
    4. Select the desired color and click "Ok"


Importing GTL files into Cyberboard Designer

Working with GTL files in Cyberboard Designer

Saving Tile Library Files for use in GTL Text Editor

1. Select the tile(s) to be used in GTL Text Editor.

2. From the Project menu select "Save Tile Library File..." and save the selected tiles.

Loading Tile Library Files from GTL Text Editor.

1. Select the TILE IMAGE GROUP the GTL File will be loaded into.

2. From the Project menu select "Load Tile Library File..." and load the selected tiles.

3. The completed tiles will be loaded into the selected TILE IMAGE GROUP.


Creating Bitmap files from a GTL File

  1. Open the GTL file which contains the tiles you would like converted to bitmaps
  2. From the File menu select "Create bitmaps from GTL file"
  3. Choose a "standard" name for the bitmap files.
  4. The bitmaps will be created using the "standard" name followed by the digit count of the file.

(ex.. "Standard" name = Tile: Tile1.bmp, Tile2.bmp, Tile3.bmp...)


Creating GTL files in Cyberboard Designer


Loading a GTL File


Moving images to the Working Tile

Using the Working Tile Area


Preview Tile Area Use

Moving Working Tiles to the Preview Tile


Rotating and Flipping

Rotating and Flipping Tiles


Saving the GTL File